Submitted By:            Bruce Dubbs <bdubbs_at_linuxfromscratch_dot_org>
Date:                    2019-08-28
Initial Package Version: 19.08.0
Rediffed By:             Pierre Labastie <pierre dot labatie at neuf dot fr>
Rediffed Against:        20.12.0
Upstream Status:         Not submitted
Origin:                  Self
Description:             Optional patch to change the color of the konsole
                         scroll bar and its handle.  Customizing the colors
                         requires editing the patch.


diff -Naur a/src/terminalDisplay/TerminalDisplay.cpp b/src/terminalDisplay/TerminalDisplay.cpp
--- a/src/terminalDisplay/TerminalDisplay.cpp	2020-12-02 23:00:50.000000000 +0100
+++ b/src/terminalDisplay/TerminalDisplay.cpp	2020-12-31 11:28:52.898012160 +0100
@@ -168,7 +168,7 @@
     // Mostly just fix the scrollbar
     // this is a workaround to add some readability to old themes like Fusion
     // changing the light value for button a bit makes themes like fusion, windows and oxygen way more readable and pleasing
-
+/*
     QPalette p = QApplication::palette();
 
     QColor buttonTextColor = _colorTable[DEFAULT_FORE_COLOR];
@@ -190,6 +190,13 @@
     setPalette(p);
 
     _scrollBar->setPalette(p);
+*/
+    _scrollBar->setStyleSheet( QLatin1String(
+      "QScrollBar:vertical {"
+          "background: #ccc; border-left: 2px solid white}"
+      "QScrollBar::handle:vertical {"
+          "background: #888; min-height: 30px; margin: 15px;}"
+    ) );
 
     update();
 }
